Get Asset Market Cap
curl --request GET \
--url https://api.blockworks.com/v1/assets/{idOrSlug}/market-cap \
--header 'x-api-key: <api-key>'import requests
url = "https://api.blockworks.com/v1/assets/{idOrSlug}/market-cap"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.blockworks.com/v1/assets/{idOrSlug}/market-cap', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"rank": 2,
"usd": 4456.91,
"dominance": 11.9754,
"percent_change_btc_1h": -0.134556,
"percent_change_btc_24h": -1.56252,
"percent_change_usd_1h": 0.0999065,
"percent_change_usd_24h": -0.63777,
"percent_change_usd_7d": 2.94011,
"percent_change_usd_30d": 2.0461,
"percent_change_eth_1h": 0,
"percent_change_eth_24h": 0,
"updated_at": 1759940402,
"asset_code": "ETH",
"asset_slug": "ethereum"
}assets
Get Asset Market Cap
Get market cap data for a single asset. Returns only the market cap data with asset identifiers.
GET
/
v1
/
assets
/
{idOrSlug}
/
market-cap
Get Asset Market Cap
curl --request GET \
--url https://api.blockworks.com/v1/assets/{idOrSlug}/market-cap \
--header 'x-api-key: <api-key>'import requests
url = "https://api.blockworks.com/v1/assets/{idOrSlug}/market-cap"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.blockworks.com/v1/assets/{idOrSlug}/market-cap', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"rank": 2,
"usd": 4456.91,
"dominance": 11.9754,
"percent_change_btc_1h": -0.134556,
"percent_change_btc_24h": -1.56252,
"percent_change_usd_1h": 0.0999065,
"percent_change_usd_24h": -0.63777,
"percent_change_usd_7d": 2.94011,
"percent_change_usd_30d": 2.0461,
"percent_change_eth_1h": 0,
"percent_change_eth_24h": 0,
"updated_at": 1759940402,
"asset_code": "ETH",
"asset_slug": "ethereum"
}Authorizations
Path Parameters
Response
Market cap data for the specified asset
Unix timestamp
Maximum string length:
20Maximum string length:
100